////////////////////////////////////////////// 
//        RemoteXY include library          // 
////////////////////////////////////////////// 

// определение режима соединения и подключение библиотеки RemoteXY  
#define REMOTEXY_MODE__HARDSERIAL

#include <RemoteXY.h> 

// настройки соединения  
#define REMOTEXY_SERIAL Serial1 
#define REMOTEXY_SERIAL_SPEED 9600 


// конфигурация интерфейса   
#pragma pack(push, 1) 
uint8_t RemoteXY_CONF[] = 
  { 0,1,10,0,6,5,1,66,132,11
  ,23,41,32,2 };   
// структура определяет все переменные вашего интерфейса управления  
struct { 

    // output variable
  int8_t level_1; // =0..100 положение уровня 

    // other variable
  uint8_t connect_flag;  // =1 if wire connected, else =0 

} RemoteXY; 
#pragma pack(pop) 

///////////////////////////////////////////// 
//           END RemoteXY include          // 
///////////////////////////////////////////// 



void setup()  
{ 
  RemoteXY_Init ();  
} 

void loop()  
{  
RemoteXY_Handler (); 
   
RemoteXY.level_1=map(analogRead(A0),0,1023,0,100);//диапазон шкалы 0-100, поэтому приводим значение аналогового сигнала с входа А0 к необходимому диапазону при помощи функции map

}

